
#include "bits/stdc++.h"

using namespace std;
using ll = long long;
using pll = pair<ll, ll>;
#define ve vector
#define pb push_back
#define all(a) a.begin(), a.end()
#define first f
#define second s
using ld = double;
#define int ll
mt19937 rnd(321932);

template<class A>
istream &operator>>(istream &in, ve<A> &a) {
    for (auto &x: a)
        in >> x;
    return in;
}

template<class A>
ostream &operator<<(ostream &out, ve<A> a) {
    for (auto &x: a)
        out << x << ' ';
    return out << '\n';
}

ve<int> x;

struct lct {
    int n;

    struct func {
        ld a, b;

        int get(int i) const {
            return (floor)(a * x[i] + b);
        }
    };

    ve<func> t;

    void add(int v, int l, int r, func nw) {
        int m = (l + r) / 2;
        auto &old = t[v];
        if (old.get(m) < nw.get(m))
            swap(old, nw);
        if (l + 1 == r)
            return;
        if (nw.get(l) >= old.get(l))
            add(2 * v + 1, l, m, nw);
        else if (nw.get(r - 1) >= old.get(r - 1))
            add(2 * v + 2, m, r, nw);
    }

    void add(ld a, ld b) {
        add(0, 0, n, {a, b});
    }

    void add(int v, int l, int r, int ql, int qr, func nw) {
        if (l >= qr || ql >= r)
            return;
        if (ql <= l && r <= qr) {
            add(v, l, r, nw);
            return;
        }
        int m = (l + r) / 2;
        add(2 * v + 1, l, m, ql, qr, nw);
        add(2 * v + 2, m, r, ql, qr, nw);
    }

    void add(int l, int r, ld a, ld b) {
        add(0, 0, n, l, r, {a, b});
    }

    int get(int v, int l, int r, int i) {
        if (l + 1 == r)
            return t[v].get(i);
        int m = (l + r) / 2;
        if (i < m)
            return max(t[v].get(i), get(2 * v + 1, l, m, i));
        else
            return max(t[v].get(i), get(2 * v + 2, m, r, i));
    }

    int get(int i) {
        return (int) get(0, 0, n, i);
    }

    lct() {
        n = x.size();
        t.assign(4 * n, {0, -1e18});
    }
};

int32_t main() {
#ifdef DEBUG
    freopen("input.txt", "r", stdin);
    freopen("output.txt", "w", stdout);
#endif
    ios_base::sync_with_stdio(0);
    cin.tie(0);

    int n, m, G;
    cin >> n >> m >> G;
    ve<ve<int>> g(n);
    for (int i = 0; i < m; ++i) {
        int x, y;
        cin >> x >> y;
        g[x-1].pb(y-1);
    }
    cout << m - n + 1 << "1\n";
}
